cURL
curl --request PATCH \
--url https://api.puretalk.ai/api/ruth-connect/integrations/{integration_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"data": {
"api_key": "<string>"
}
}
'import requests
url = "https://api.puretalk.ai/api/ruth-connect/integrations/{integration_id}"
payload = { "data": { "api_key": "<string>" } }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {api_key: '<string>'}})
};
fetch('https://api.puretalk.ai/api/ruth-connect/integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Integrations retrieved successfully",
"err": false,
"results": {
"integration_id": "123e4567-e89b-12d3-a456-426614174000",
"app_name": "My App",
"friendly_app_name": "My App",
"logo": "<string>",
"data": {
"api_key": "123e4567-e89b-12d3-a456-426614174000"
},
"tools": [
"<string>"
],
"is_custom_tool": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"err": true,
"msg": "<string>"
}Ruth Connect
Update Integration
Update an integration based on the ID supplied
PATCH
/
ruth-connect
/
integrations
/
{integration_id}
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Path Parameters
ID of integration to update
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I